{
  "compilerOptions": {
    /* Building and Releasing options */
    "target": "ES2020",
    "module": "ESNext",
    "lib": ["ES2020", "DOM", "DOM.Iterable"],
    "skipLibCheck": true,
    "noEmit": true,
    
    /* Code settings */
    "experimentalDecorators": true,
    "useDefineForClassFields": false,

    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,

    /* Linting */
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,

    "plugins": [
      { "name": "typescript-lit-html-plugin" },
    ],
  },
  "include": ["src/**/*.ts"],
  "exclude": ["src/**/*.stories.ts"], // to prevent publishing the stories
}
